# eric4.E4XML.ProjectWriter

Module implementing the writer class for writing an XML project file.

### Global Attributes

None

### Classes

ProjectWriter | Class implementing the writer class for writing an XML project file.

### Functions

None

## ProjectWriter

Class implementing the writer class for writing an XML project file.

### Derived from

XMLWriterBase

### Class Attributes

None

### Class Methods

None

### Methods

ProjectWriter | Constructor
writeXML | Public method to write the XML to the file.

### Static Methods

None

#### ProjectWriter (Constructor)

ProjectWriter(file, projectName)

Constructor

file
  open file (like) object for writing
projectName
  name of the project (string)

#### ProjectWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up